RLOGIN(1)

NAME
rlogin - remote login

SYNOPSIS
rlogin [-8EKLdx] [-e char] [-l username] host

DESCRIPTION
Rlogin starts a terminal session on a remote host host.

The standard Berkeley rhosts authorization mechanism is used. The options are as follows:

-8  The -8 option allows an eight-bit input data path at all times; otherwise parity bits are stripped except when the remote side's stop and start characters are other than ^S/^Q .

-E  The -E option stops any character from being recognized as an escape character. When used with the -8 option, this provides a completely transparent connection.

-L  The -L option allows the rlogin session to be run in ``litout'' (see tty(4)) mode.

-d  The -d option turns on socket debugging (see setsockopt(2)) on the TCP sockets used for communication with the remote host.

-e  The -e option allows user specification of the escape character, which is ``~'' by default. This specification may be as a literal character, or as an octal value in the form \nnn.

A line of the form ``<escape char>.'' disconnects from the remote host. Similarly, the line ``<escape char>^Z'' will suspend the rlogin session, and ``<escape char><delayed-suspend char>'' suspends the send portion of the rlogin, but allows output from the remote system. By default, the tilde (``~'') character is the escape character, and normally control-Y (``^Y'') is the delayed-suspend character.

All echoing takes place at the remote site, so that (except for delays) the rlogin is transparent. Flow control via ^S/^Q and flushing of input and output on interrupts are handled properly.

ENVIRONMENT
The following environment variable is utilized by rlogin:

TERM
    Determines the user's terminal type.

SEE ALSO
rsh(1),

HISTORY
The rlogin command appeared in 4.2BSD.

BUGS
Rlogin will be replaced by telnet(1) in the near future.

More of the environment should be propagated.